Redmine - Defect #7392

repository browser
2011-01-20 17:06 - Joachim Koenig

Status: Closed Start date: 2011-01-20
Priority: Normal Due date:

Assignee: % Done: 100%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.1.0
Description

i am trying to update from 0.9.3to0 1.1.0

and im getting a error 500 when browsing "some" repositories from the backend

dev-log

Processing RepositoriesController#show (for 192.168.10.9 at 2011-01-20 16:29:30) [GET]

Parameters: {"action"=>"show", "id"=>"webanlage", "controller"=>"repositories"}

[[4;35;1mSetting Columns (2.7ms)[[0m [[OmSHOW FIELDS FROM "settings’[[Om

[[4;36;1mSQL (0.8ms)[[0Om [[0;1MSELECT max( settings™.updated_on) AS max_updated_on FROM "settings™ [[Om
[[4;35;1mUser Columns (2.4ms)[[Om [[OmSHOW FIELDS FROM "users’[[0m

[[4;36;1mUser Load (0.6ms)[[0m [[0;1mSELECT * FROM “users’ WHERE (‘users’.’id" = 12) AND (users.status = 1) AND (
(‘users’.’type" = 'User' OR "users’."type" = 'AnonymousUser') ) [[Om

[[4;35;1mProject Columns (2.2ms)[[0Om [[OmSHOW FIELDS FROM "projects’[[0m

[[4;36;1mProject Load (0.7ms)[[0m [[0;1mSELECT * FROM "projects” WHERE ("projects’. identifier’ = 'webanlage') LIMIT 1[[Om
[[4;35;1mRepository Load (0.9ms)[[0m [[OmSELECT * FROM ‘repositories WHERE ('repositories™.project_id = 9) LIMIT 1[[0Om
[[4;36;1mRepository Columns (2.0ms)[[0Om [[0;1mSHOW FIELDS FROM "repositories’[[Om

[[4;35;1mRepository::Subversion Columns (2.1ms)[[0m [[OmSHOW FIELDS FROM "repositories [[0m

Shelling out: svn info --xml 'http://subversion.idgmuc.idg/repos/admin//' --username xxxx --password xxxx --no-auth-cache
--non-interactive

[[4;36;1mSQL (1.1ms)[[0Om [[0;1mBEGIN[[Om

[[4;35;1mSQL (0.7ms)[[0Om [[OmMCOMMIT[[Om

[[4;36;1mEnabledModule Load (0.8ms)[[Om [[0;1mSELECT name FROM “enabled_modules WHERE
(‘enabled_modules’.project_id = 9) [[Om

[[4;35;1mEnabledModule Columns (1.9ms)[[0m [[OmSHOW FIELDS FROM “enabled_modules'[[0m

[[4;36;1mSetting Load (0.8ms)[[0m [[0;1mSELECT * FROM “settings” WHERE ('settings'.'name’ = 'autofetch_changesets') LIMIT
1[[Om

[[4;35;1mSQL (0.6ms)[[0Om [[OmBEGIN[[Om

[[4;36;1mSQL (0.7ms)[[0Om [[0;1mCOMMIT[[Om

Shelling out: svn info --xml 'http://subversion.idgmuc.idg/repos/admin//' --username xxxx --password xxxx --no-auth-cache
--non-interactive

[[4;35;1mSQL (0.6ms)[[0Om [[OmBEGIN[[Om

[[4;36;1mSQL (0.8ms)[[0Om [[0;1MCOMMIT[[Om

Shelling out: svn list --xml 'http://subversion.idgmuc.idg/repos/admin///@HEAD --username xxxx --password xxxx --no-auth-cache
--non-interactive

Error parsing svn output: undefined method “name' for nil:NilClass

Output was:

Rendering template within layouts/base
Rendering common/error (500)
/devlog

(the creds/config is working in 0.9.3)
any Ildeas ?
JJ

History

#1 - 2011-01-20 23:43 - Alex Alex
Hello World !

#2 - 2011-01-22 14:34 - Jean-Philippe Lang

Please paste the output of the last svn command:
svn list —--xml 'http://subversion.idgmuc.idg/repos/admin//'@HEAD --username xxxx —-password xxxx —-—-no-auth-cac
he -—-non-interactive

#3 - 2011-01-22 15:24 - Joachim Koenig
- Status changed from New to Resolved

- % Done changed from 0 to 100

a missing svn lib installed problem solved
Thanks
#4 - 2011-01-25 18:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
#5 - 2011-02-01 21:29 - Jonathan Besanceney
Joachim,

I've got the same problem with my bitnami ruby stack redmine installation on windows. Neither file:///, nor http(s):// access makes difference. | think
the origin of the problem was in permissions of the repositories, but all seems OK.

Can you tell me which lib was missing to solve this problem ?
Thanks

#6 - 2011-02-02 16:08 - Joachim Koenig

just install the subversion pkg
Debian = apt-get install subversion

#7 - 2013-12-28 09:24 - Toshi MARUYAMA
- Category set to SCM
